Loading...
Searching...
No Matches
OpenMesh::ArrayKernel::StatusSetT< HandleT > Class Template Reference

— StatusSet API — More...

`#include <OpenMesh/Core/Mesh/ArrayKernel.hh>`

Inheritance diagram for OpenMesh::ArrayKernel::StatusSetT< HandleT >:
[legend]
Collaboration diagram for OpenMesh::ArrayKernel::StatusSetT< HandleT >:
[legend]

## Public Types

typedef HandleT | Handle

## Public Member Functions

| StatusSetT (ArrayKernel &_kernel, const unsigned int _bit_mask)
bool | is_in (Handle _hnd) const
void | insert (Handle _hnd)
void | erase (Handle _hnd)
size_t | size () const
| Note: 0(n) complexity.
void | clear ()
| Note: O(n) complexity.

## Public Attributes

const unsigned int | bit_mask_

## Protected Attributes

ArrayKernel & | kernel_

## Detailed Description

template<class HandleT>
class OpenMesh::ArrayKernel::StatusSetT< HandleT >

— StatusSet API —

Implements a set of connectivity entities (vertex, edge, face, halfedge) using the available bits in the corresponding mesh status field.

Status-based sets are much faster than std::set<> and equivalent in performance to std::vector<bool>, but much more convenient.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/ArrayKernel.hh